classification
Title: Correct __sizeof__ support for pickle
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: alexandre.vassalotti, aliles, jcea, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: needs review, patch

Created on 2012-07-31 08:35 by serhiy.storchaka, last changed 2014-12-17 09:44 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
pickle_sizeof-3.3.patch serhiy.storchaka, 2012-07-31 08:35 Patch for 3.3 review
pickle_sizeof-3.4.patch serhiy.storchaka, 2014-08-19 17:21 review
Messages (8)
msg166979 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-31 08:35
Here is a patch that implements correct __sizeof__ for Pickler and Unpickler in pickler module.
msg167053 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2012-07-31 21:15
I reviewed the patch here

http://bugs.python.org/review/15513/#ps5596
msg167329 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-08-03 13:56
In any case do not commit the patch for the time being. Probably it should be improved to include the size of the internal Python objects (see discussion in issue15490).
msg171978 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-04 17:21
Updated patches will be more complex and will depend on functions added in the patches for issue15490. So I'm waiting for the final adoption of the patches for issue15490.
msg225533 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-08-19 17:21
Required patch is already committed. Here is updated patch.
msg226409 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-09-05 08:28
If there are no objections I'll commit the patch soon.
msg232661 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-12-15 12:45
Ping.
msg232750 - (view) Author: Roundup Robot (python-dev) Date: 2014-12-16 18:03
New changeset fed774c926f5 by Serhiy Storchaka in branch '3.4':
Issue #15513: Added a __sizeof__ implementation for pickle classes.
https://hg.python.org/cpython/rev/fed774c926f5

New changeset e11d99ed3d3f by Serhiy Storchaka in branch 'default':
Issue #15513: Added a __sizeof__ implementation for pickle classes.
https://hg.python.org/cpython/rev/e11d99ed3d3f
History
Date User Action Args
2014-12-17 09:44:53serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-12-16 18:03:09python-devsetnosy: + python-dev
messages: + msg232750
2014-12-15 12:45:39serhiy.storchakasetkeywords: + needs review

messages: + msg232661
2014-09-05 08:28:33serhiy.storchakasetmessages: + msg226409
2014-08-19 17:21:43serhiy.storchakasetfiles: + pickle_sizeof-3.4.patch

stage: patch review
messages: + msg225533
versions: + Python 3.4, Python 3.5, - Python 2.7, Python 3.2, Python 3.3
2013-11-30 20:14:05alexandre.vassalottisetfiles: - pickle_sizeof-3.2.patch
2013-11-30 20:14:01alexandre.vassalottisetfiles: - pickle_sizeof-2.7.patch
2012-10-04 17:21:26serhiy.storchakasetmessages: + msg171978
2012-10-04 10:43:40jceasetnosy: + jcea
2012-08-29 12:04:32alilessetnosy: + aliles
2012-08-05 11:02:30serhiy.storchakasetassignee: serhiy.storchaka
2012-08-03 13:56:40serhiy.storchakasetmessages: + msg167329
2012-07-31 21:15:36alexandre.vassalottisetmessages: + msg167053
2012-07-31 08:36:28serhiy.storchakasetfiles: + pickle_sizeof-2.7.patch
2012-07-31 08:36:04serhiy.storchakasetfiles: + pickle_sizeof-3.2.patch
2012-07-31 08:35:39serhiy.storchakacreate